/* Container Styles */
.mcc-submenu__navbar-container {
	background-color: #efefef;
	position: relative;
}

/* Navbar Styles */
.mcc-submenu__navbar {
	max-width: var(--wp--style--global--wide-size);
	margin: 0 auto;
	white-space: nowrap;
}

/* Menu Styles */
.mcc-submenu__nav-menu {
	list-style: none;
	padding: 0;
	margin: 0;
	display: flex;
	width: auto;
	flex-wrap: nowrap;
	-ms-overflow-style: none; /* Hide scrollbar on IE/Edge */
	scrollbar-width: none; /* Hide scrollbar on Firefox */
}

.mcc-submenu__nav-menu::-webkit-scrollbar {
	display: none; /* Hide scrollbar on Webkit browsers */
}

/* Menu Item Styles */
.mcc-submenu__nav-item {
	position: relative;
	margin-right: 20px;
	white-space: nowrap;
	overflow: visible;
}

.mcc-submenu__nav-link {
	text-decoration: none;
	color: #474747;
	padding: 10px;
	display: block;
	padding: .9rem 1.1rem;
	font-size: .8rem;
	font-weight: 700;
	text-transform: uppercase;
}

.mcc-submenu__nav-item:hover .mcc-submenu__nav-link,
.mcc-submenu__nav-item.active .mcc-submenu__nav-link {
	background-color: var(--wp--preset--color--custom-links);
	color: #fff;
}

.mcc-submenu__nav-item:hover .mcc-submenu__submenu-container {
	display: block;
}

/* Submenu Styles */
.mcc-submenu__submenu-container {
	display: none; /* Keep hidden by default */
	position: absolute;
	top: 100%;
	left: 0;
	z-index: 1000;
	width: 250px;
	padding-top: 1.3rem;
}

.mcc-submenu__submenu {
	background-color: #fff;
	padding-top: 1.3rem;
	padding-bottom: 1.3rem;
	padding-left: 0;
	list-style: none;
	font-size: .8rem;
	margin: 0;
	border-radius: 15px;
	border: 1px solid #c2c2c2;
}

.mcc-submenu__submenu li {
	padding: .9rem 1.5rem;
	color: #474747;
}

.mcc-submenu__submenu li:last-child {
	margin-bottom: 0;
}

.mcc-submenu__submenu li:hover,
.mcc-submenu__submenu li.active {
	background-color: var(--wp--preset--color--custom-links);
	color: #fff;
}

.mcc-submenu__submenu a {
	display: block;
	text-decoration: none;
	color: #474747;
}

.mcc-submenu__submenu li:hover a,
.mcc-submenu__submenu li.active a {
	color: #fff;
}

.mcc-submenu__submenu-last {
	padding-top: 0 !important;
}

.mcc-submenu__submenu-last a {
	padding-top: .9rem;
	border-top: 1px solid #888888;
	color: var(--wp--preset--color--custom-links);
}

/* Toggle and Button Styles */
.menu-toggle {
	display: none;
	background: none;
	border: none;
	font-size: 1.5rem;
	cursor: pointer;
}

.back-button {
	display: none;
    background: none;
    border: none;
    font-size: 1rem;
    cursor: pointer;
    color: var(--wp--preset--color--custom-links);
    font-size: .8rem;
    margin-left: 1.3rem;
    padding: 0;
    margin-top: -2rem;
}

.mcc-submenu__submenu-arrow,
.mcc-submenu__navbar-close,
.mcc-submenu__navbar-close {
	display: none;
}

.mcc-submenu__navbar-close {
	margin-right: 1.3rem;
	margin-left: auto;
	margin-top: 0.5rem;
	margin-bottom: 0;
	background: transparent;
	border: 0;
	font-size: 1.8rem;
	padding: 0;
	color: #888888;
}

/* Responsive Styles */
@media (max-width: 768px) {
	.mcc-submenu__nav-item:hover .mcc-submenu__submenu-container {
		display: none;
	}

	.menu-toggle {
		display: block;
        position: absolute;
        right: var(--wp--preset--spacing--30);
		top: -48px;
        background-color: var(--wp--preset--color--custom-links);
        color: #fff;
		border-radius: 3px;
	}

	.mcc-submenu__navbar {
		display: none;
		position: absolute;
        top: 25px;
        left: 0;
        right: 0;
        width: 95%;
        margin: auto;
        background-color: #fff;
        z-index: 1000;
        overflow-y: auto;
        border-radius: 10px;
        border: 1px solid #c2c2c2;
	}

	.mcc-submenu__navbar.open {
		display: block;
	}

	.mcc-submenu__nav-menu {
		flex-direction: column;
	}

	.mcc-submenu__nav-item {
		margin-right: 0;
	}

	.mcc-submenu__submenu-container {
		display: none; /* Hidden by default */
		position: absolute;
		top: 100%;
		left: 0;
		z-index: 1000;
		width: 250px;
		padding-top: 1.3rem;
		background-color: #fff;
		border-radius: 15px;
		border: 1px solid #c2c2c2;
	}

	.mcc-submenu__submenu-arrow {
		font-size: .6rem;
		color: #888888;
		border-radius: 100%;
		border: 1px solid #888888;
		width: 1rem;
		height: 1rem;
		display: flex;
		justify-content: center;
		align-items: center;
		position: absolute;
		top: 1rem;
		right: 1.3rem;
		z-index: 99;
	}

	.mcc-submenu__nav-item:hover .mcc-submenu__submenu-arrow {
		color: #fff;
		border-color: #fff;
	}

	.mcc-submenu__submenu-container.open,
	.mcc-submenu__nav-item:hover .mcc-submenu__submenu-container.open {
		display: block;
		position: relative;
		width: 100%;
		border: none;
	}

	.mcc-submenu__submenu-container.open .mcc-submenu__submenu,
	.mcc-submenu__nav-item:hover .mcc-submenu__submenu-container.open .mcc-submenu__submenu {
		position: relative;
		width: 100%;
		border: none;
	}

	.mcc-submenu__submenu-container.open .mcc-submenu__submenu,
	.mcc-submenu__submenu-container.open {
		padding-top: 0.5rem;
	}

	.mcc-submenu__nav-item.close {
		display: none;
	}

	.mcc-submenu__nav-item.open-submenu {
		background-color: transparent;
	}

	.mcc-submenu__nav-item.open-submenu .mcc-submenu__submenu-arrow,
	.mcc-submenu__nav-item.open-submenu > a {
		display: none;
	}

	.back-button,
	.mcc-submenu__navbar-close {
		display: block;
	}

	.mcc-submenu__submenu-last {
		text-align: center;
	}
}
